## fusil 1.5

=== doc/Makefile ===
DOCS=$(wildcard *.rst)
HTML=$(patsubst %.rst,%.html,$(DOCS))
RST2HTML=rst2html

all: $(HTML)
	@echo $(HTML)

%.html: %.rst
	$(RST2HTML) $< $@

clean:
	rm -f $(HTML)

## fusil 1.4

=== debian/changelog ===
fusil (1.4-1) unstable; urgency=low

  * Imported Upstream version 1.4
  * Bump Standards Version to 3.9.1
  * Update copyright file
  * Switch to dpkg-source 3.0 (quilt) format

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Mar 2011 22:18:46 +0200

fusil (1.3.2-1) unstable; urgency=low

  * Imported Upstream version 1.3.2
  * Fix installation with Python 2.6 (Closes: #571474)
    Thanks to Jonathan Wiltshire for the patch
  * Bump standards version to 3.8.4
  * Add misc:Depends to depends

 -- Pierre Chifflier <pollux@debian.org>  Tue, 02 Mar 2010 10:14:07 +0100

fusil (1.3.1-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Thu, 17 Dec 2009 21:50:04 +0100

fusil (1.3-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.8.3

 -- Pierre Chifflier <pollux@debian.org>  Tue, 22 Sep 2009 15:45:09 +0200

fusil (1.2.1-2) unstable; urgency=low

  * Upload to unstable

 -- Pierre Chifflier <pollux@debian.org>  Wed, 25 Feb 2009 11:49:30 +0100

fusil (1.2.1-1) experimental; urgency=low

  * New Upstream Version
  * Project files are now replaced by executables (Closes: #505748)
  * Set minimum Python version to 2.5

 -- Pierre Chifflier <pollux@debian.org>  Tue, 24 Feb 2009 18:24:45 +0100

fusil (1.1-1) experimental; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Mon, 19 Jan 2009 18:07:31 +0100

fusil (1.0.0-2) experimental; urgency=low

  * Depend on python-ptrace >= 0.4.2 (Closes: #501682)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 09 Oct 2008 17:14:20 +0200

fusil (1.0.0-1) experimental; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Thu, 18 Sep 2008 17:13:52 +0200

fusil (0.9.1-1) unstable; urgency=low

  * New upstream bugfix release
  * Add gcc to Recommends

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Jul 2008 10:43:15 +0200

fusil (0.9-1) unstable; urgency=low

  * New upstreap release
  * Bump standards version to 3.8.0 (no changes)
  * Add dependency on python-ptrace

 -- Pierre Chifflier <pollux@debian.org>  Thu, 24 Jul 2008 09:33:57 +0200

fusil (0.8-1) unstable; urgency=low

  * New Upstream release
  * Add watch file
  * Move package to devel section

 -- Pierre Chifflier <pollux@debian.org>  Tue, 27 May 2008 10:48:58 +0200

fusil (0.7-2) unstable; urgency=low

  * Install fusil/network directory (Closes: #479368)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 04 May 2008 16:19:57 +0200

fusil (0.7-1) unstable; urgency=low

  * Initial release (Closes: #465204, #462728)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 11 Feb 2008 09:39:11 +0100

=== debian/control ===
Source: fusil
Section: devel
Priority: extra
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 5.0.37.2),
  python (>= 2.5),
  python-support (>= 0.3)
Standards-Version: 3.9.1
Homepage: http://fusil.hachoir.org/

Package: fusil
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends},
    ${misc:Depends},
    python-ptrace (>= 0.5)
Recommends: python-xlib, gcc
Provides: ${python:Provides}
Description: Fuzzing program to test applications
 Fusil is a fuzzing framework designed to expose bugs in software by
 changing random bits of its input.
 .
 It helps to start process with a prepared environment (limit memory,
 environment variables, redirect stdout, etc.), start network client or
 server, and create mangled files. Fusil has many probes to detect
 program crash: watch process exit code, watch process stdout and syslog
 for text patterns (eg. "segmentation fault"), watch session duration,
 watch cpu usage (process and system load), etc.
 .
 Fusil is based on a modular architecture. It computes a session score
 used to guess fuzzing parameters like number of injected errors to
 input files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#docbook-to-man debian/fusil.sgml > fusil.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp


	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	[ ! -d build ] || rm -rf build
	[ ! -f fusil.log ] || rm -rf fusil.log
	find $(CURDIR) -name "*.pyc" -delete

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/fusil.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/fusil install
	python ./setup.py install --root=$(CURDIR)/debian/fusil --no-compile \
		--install-layout=deb
	cp -r fuzzers $(CURDIR)/debian/fusil/usr/share/fusil/
	rm -f $(CURDIR)/debian/fusil/usr/bin/fusil-*


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_pysupport
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fusil 1.5

=== debian/changelog ===
fusil (1.5-1) unstable; urgency=medium

  * Imported Upstream version 1.5
  * Switch to DH 9, and to dh_python2
  * Bump Standards Version to 3.9.5

 -- Pierre Chifflier <pollux@debian.org>  Thu, 21 Aug 2014 21:00:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: devel
 Priority: extra
 Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 5.0.37.2),
-  python (>= 2.5),
-  python-support (>= 0.3)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9),
+  python (>= 2.6.6-3~)
+X-Python-Version: >= 2.7
+Standards-Version: 3.9.5
 Homepage: http://fusil.hachoir.org/
 
 Package: fusil
 Architecture: all
-XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends},
     ${misc:Depends},
     python-ptrace (>= 0.5)

=== debian/watch ===
# debian watch file
# You can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

#http://pypi.python.org/packages/source/f/fusil/fusil-0.8.tar.gz
http://pypi.python.org/packages/source/f/fusil/fusil-([0-9].*)\.tar\.gz
